Orishare
Api
GET
/campaigns
AuthorizationBearer <token>

Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/campaigns"
{  "data": [    {      "id": "string",      "name": "string",      "status": "draft",      "starts_at": "string",      "ends_at": "string",      "priority": 0,      "stacking_group": "string",      "exclusive": true,      "budget": {        "amount": 0,        "currency": "string",        "window": "string",        "used": 0      },      "audience": {        "segments": [          "string"        ]      },      "version": 0,      "created_at": "string",      "updated_at": "string"    }  ],  "next_cursor": "string",  "has_more": true}
POST
/campaigns
AuthorizationBearer <token>

Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).

In: header

Header Parameters

Idempotency-Key?string

Required by the API on this route (400 idempotency_key_required without it); the official clients generate a UUID when you omit it.

Length1 <= length <= 255

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/campaigns" \  -H "Content-Type: application/json" \  -d '{    "name": "Launch week",    "status": "active",    "priority": 10,    "budget": {      "amount": 100000,      "currency": "points",      "window": "none"    }  }'
{  "id": "string",  "name": "string",  "status": "draft",  "starts_at": "string",  "ends_at": "string",  "priority": 0,  "stacking_group": "string",  "exclusive": true,  "budget": {    "amount": 0,    "currency": "string",    "window": "string",    "used": 0  },  "audience": {    "segments": [      "string"    ]  },  "version": 0,  "created_at": "string",  "updated_at": "string"}
GET
/campaigns/{id}
AuthorizationBearer <token>

Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).

In: header

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/campaigns/string"
{  "id": "string",  "name": "string",  "status": "draft",  "starts_at": "string",  "ends_at": "string",  "priority": 0,  "stacking_group": "string",  "exclusive": true,  "budget": {    "amount": 0,    "currency": "string",    "window": "string",    "used": 0  },  "audience": {    "segments": [      "string"    ]  },  "version": 0,  "created_at": "string",  "updated_at": "string"}
PATCH
/campaigns/{id}
AuthorizationBearer <token>

Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).

In: header

Path Parameters

id*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/campaigns/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "name": "string",  "status": "draft",  "starts_at": "string",  "ends_at": "string",  "priority": 0,  "stacking_group": "string",  "exclusive": true,  "budget": {    "amount": 0,    "currency": "string",    "window": "string",    "used": 0  },  "audience": {    "segments": [      "string"    ]  },  "version": 0,  "created_at": "string",  "updated_at": "string"}
DELETE
/campaigns/{id}
AuthorizationBearer <token>

Secret key (osk_…), publishable key (opk_…) or personal access token (opat_…).

In: header

Path Parameters

id*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/campaigns/string"
Empty